| Home | Libraries | People | FAQ | More

## Function erase_last_copy

boost::algorithm::erase_last_copy — Erase last algorithm.

## Synopsis

    template<typename OutputIteratorT, typename Range1T, typename Range2T>
      OutputIteratorT
      erase_last_copy(OutputIteratorT Output, const Range1T & Input,
                      const Range2T & Search);
    template<typename SequenceT, typename RangeT>
      SequenceT erase_last_copy(const SequenceT & Input, const RangeT & Search);

## Description

Remove the last occurrence of the substring from the input. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

Parameters: |
`Input` | An input string
`Output` | An output iterator to which the result will be copied
`Search` | A substring to be searched for.
Returns: | An output iterator pointing just after the last inserted character or a modified copy of the input
Notes: | The second variant of this function provides the strong exception-safety guarantee